package com.hanbit.comm.ejb.session;

import java.util.LinkedList;
import java.util.Enumeration;
import java.io.Serializable;

public class Parameter
implements Enumeration,Serializable
{
    private Object voClass = null;
    private String storedProcedure = null;
    private LinkedList arguments = null;

    public Parameter(){
        arguments = new LinkedList();
    }

    public boolean hasMoreElements(){
        return !arguments.isEmpty();
    }

    public Object nextElement(){
        return arguments.removeFirst();
    }

    public void addArgument(Object arg){
        arguments.addLast(arg);
    }

    public Object getVOClass(){
        return this.voClass;
    }

    public String getStoredProcedure(){
        return this.storedProcedure;
    }

    public void setVOClass(Object voClass){
        this.voClass = voClass;
    }

    public void setStoredProcedure(String storedProcedure){
        this.storedProcedure = storedProcedure;
    }

    public int getArgumentsSize(){
        return arguments.size();
    }
}
