package com.hanbit.ga.ejb.entity.news;

import  com.hanbit.comm.util.DateUtil;
import java.util.Vector;

public class NewsScrollerAdapter implements NewsAdapter 
{
	public Vector newsList;
	
	public NewsScrollerAdapter(Vector newsList) 
	{
        this.newsList = newsList;		
	}
	
	public String getNews() 
	{
        if(newsList == null)
            return noNews();
        StringBuffer buff = new StringBuffer();
        for(int i=0;i< newsList.size();i++){
            NewsVO news = (NewsVO)newsList.get(i);
            buff.append("@HEAD"+news.getHead()+"\n");
            if((news.getLinkpage() != null) && !news.getLinkpage().trim().equals("")){
                buff.append("@URL"+news.getLinkpage()+"\n");
                buff.append("@FRAME"+"contents\n");
            }
            buff.append("@MSG" + news.getMsg()+"  -"
                               + news.getPoster()
                               + "("+DateUtil.makeDateFormat(news.getPostdate())+")\n");
            buff.append("@END" +"\n");
        }
        return buff.toString();		
	}
	
	public String noNews() 
	{
        String str = "@HEADDaelime News\n"
                    +"@MSGNo News\n"
                    +"@END\n";
        return str;		
	}
}
