package com.hanbit.ga.ejb.entity.news;

import java.io.Serializable;

import java.sql.Timestamp;


public class NewsVO implements java.io.Serializable {
    public String poster;
    public Timestamp postdate;
    public int postTerm;
    public String head;
    public String msg;
    public String linkpage;
    public Timestamp expiredate;
    public Timestamp upddate;

    public NewsVO(NewsVO news) {
        init(news.poster, news.postdate, news.postTerm, news.head, news.msg, 
             news.linkpage, news.upddate);
    }

    public NewsVO(String poster, Timestamp postdate, int postTerm, String head, 
                  String msg, String linkpage, Timestamp upddate) {
        init(poster, postdate, postTerm, head, msg, linkpage, upddate);
    }

    public NewsVO() {
    }

    public String getPoster() {
        return poster;
    }

    public void setPoster(String aPoster) {
        poster = aPoster;
    }

    public Timestamp getPostdate() {
        return postdate;
    }

    public void setPostdate(Timestamp aPostdate) {
        postdate = aPostdate;
    }

    public int getPostTerm() {
        return postTerm;
    }

    public void setPostTerm(int aPostTerm) {
        postTerm = aPostTerm;
    }

    public String getHead() {
        return head;
    }

    public void setHead(String aHead) {
        head = aHead;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String aMsg) {
        msg = aMsg;
    }

    public String getLinkpage() {
        return linkpage;
    }

    public void setLinkpage(String aLinkpage) {
        linkpage = aLinkpage;
    }

    public Timestamp getExpiredate() {
        return expiredate;
    }

    public void setExpiredate(Timestamp aExpiredate) {
        expiredate = aExpiredate;
    }

    public Timestamp getUpddate() {
        return upddate;
    }

    public void setUpddate(Timestamp aUpddate) {
        upddate = aUpddate;
    }

    public NewsVO getData() {
        return new NewsVO(this);
    }

    public void init(String poster, Timestamp postdate, int postTerm, 
                     String head, String msg, String linkpage, 
                     Timestamp upddate) {
        this.poster = poster;
        this.postdate = postdate;
        this.postTerm = postTerm;
        this.head = head;
        this.msg = msg;
        this.linkpage = linkpage;
        this.upddate = upddate;
    }
}