package com.hanbit.ga.ejb.session.emp;

import com.hanbit.comm.ejb.entity.SnapShotTooOldException;

import com.hanbit.ga.ejb.entity.emp.EmpVO;

import java.rmi.RemoteException;

import java.util.Vector;

import javax.ejb.*;

import javax.naming.NamingException;


public interface EmpSB extends EJBObject {
    public EmpVO employ(EmpVO vo) throws DuplicateKeyException, NamingException, 
                                         CreateException, RemoteException;

    public void retire(EmpVO vo) throws FinderException, NamingException, 
                                        RemoveException, RemoteException;

    public EmpVO update(EmpVO vo) throws FinderException, NamingException, 
                                         RemoteException, 
                                         SnapShotTooOldException;

    public Vector getEmpByDeptno(int deptno) throws FinderException, 
                                                    NamingException, 
                                                    RemoteException;
}