package com.hanbit.ga;

import com.hanbit.comm.*;
import com.hanbit.ejb.*;

import javax.ejb.*;
import javax.naming.*;

import javax.servlet.*;
import javax.servlet.http.*;

import java.util.*;
import java.rmi.RemoteException;

public class GA1110Query implements Command{
    private String next;

    public GA1110Query(String next){
        this.next = next;
    }
    
    public String execute(HttpServletRequest req)
    throws CommandException{
        HttpSession session = req.getSession();
        String msgKey       = req.getRequestedSessionId();
        String deptno       = req.getParameter("deptno");
        Vector vt = null;
        try{
            if(deptno != null){
                Context ctx = new InitialContext();
                EmpQuerySBHome home =(EmpQuerySBHome)ctx.lookup("com.hanbit.ejb.EmpQuerySBHome");
            
                EmpQuerySB emp = home.create();
                vt = emp.selectEmpByDeptno(deptno);

                session.setAttribute(GA1110Servlet.VT_NAME,vt);
                req.setAttribute(msgKey,new Message(vt.size()+" Row's Selected"));
            }
        }catch(Exception e){
            throw new CommandException(e);
        }
        return next;
    }
}
