package com.hanbit.comm.servlet;

import javax.servlet.http.*;
/**
 * 系   å  Ŭ̴.
 *  Ŭ Decoration Filter ۼ Ŭ̴.
 * α   -> αȭ.
 *    -> ޼ ȭ.
 */
public class AuthorizationFilter
implements Command
{
    private static final String LOGIN_PAGE = "/index.jsp";
    private static final String UNAUTHORIZED_ACCESS_PAGE = "/unauth.jsp";
    
    private static final String USER_STRING = "com.hanbit.comm.User";
    
    private Command command;
    private String next;
    
    /**
     *   Command Ű ޴´.
     */
    public AuthorizationFilter(Command command)
    {
        this.command = command;
    }
    /** 
     *  Command ϱ   üũ Ѵ.
     */
    public String execute(HttpServletRequest req)
    throws CommandException{
        // Authorization Start
        /*
        HttpSession session = req.getSession(false);
        if(session == null) return LOGIN_PAGE;
        UserIF user = (UserIF)session.getAttribute(USER_STRING);
        if(user == null) return LOGIN_PAGE;
        String pgmId = getPgmId(req.getServletPath());
        if(!user.canUse(pgmId)) return UNAUTHORIZED_ACCESS_PAGE;
        */
        // Authorization End

        next = command.execute(req);
        return next;
    }
    
    /**
     * Requestн  
     * UseCase̸ ãƳ ޽.
     * Request Path = '/servlet/' + UseCaseName
     */
    private String getPgmId(String path){
        if(path == null) return null;
        if(path.toLowerCase().startsWith("/servlet/")){
            int idx = path.toLowerCase().indexOf("/servlet/");
            return path.substring(idx);
        }
        return path;
    }
}
