package com.hanbit.ga.ga1101;

import com.hanbit.comm.ejb.session.*;
import com.hanbit.comm.servlet.*;
import com.hanbit.ga.ejb.entity.emp.*;

import javax.naming.*;
import javax.servlet.http.*;

import java.util.*;

public class GA1101Query implements Command{
    private String next;

    public GA1101Query(String next){
        this.next = next;
    }
    
    public String execute(HttpServletRequest req)
    throws CommandException{
        HttpSession session = req.getSession();
        String msgKey       = req.getRequestedSessionId();
        String deptno       = req.getParameter("deptno");
        Vector vt = null;
        try{
            if(deptno != null){
                
                Context ctx = new InitialContext();
                QuerySBHome home =(QuerySBHome)ctx.lookup("QuerySB");
                QuerySB query = home.create();
                
                Parameter para = new Parameter();
                para.setVOClass(new EmpVO());
                para.setStoredProcedure("pk_emp.sp_getEmpByDeptno");
                para.addArgument(deptno);
                
                vt = query.select(para);
                /*
                EmpSBHome home =(EmpSBHome)ctx.lookup("EmpSB");
                EmpSB empSB = home.create();
                vt = empSB.getEmpByDeptno(Integer.valueOf(deptno).intValue());
                */

                session.setAttribute(GA1101Servlet.VT_NAME,vt);
                req.setAttribute(msgKey,new Message(vt.size()+" Row's Selected"));
            }
        }catch(Exception e){
            throw new CommandException(e);
        }
        return next;
    }
}
