package com.hanbit.ga.ga1112;

import com.hanbit.ga.ejb.entity.news.*;
import com.hanbit.comm.ejb.session.*;
import com.hanbit.comm.servlet.*;

import javax.naming.*;
import javax.servlet.http.*;

import java.util.*;

public class GA1112News implements Command{
    private String next;

    public GA1112News(String next){
        this.next = next;
    }
    
    public String execute(HttpServletRequest req)
    throws CommandException{
        Vector vt = null;
        try{
            Context ctx = new InitialContext();
            QuerySBHome home =(QuerySBHome)ctx.lookup("QuerySB");
            QuerySB query = home.create();
            Parameter para = new Parameter();
            para.setVOClass(new NewsVO());
            para.setStoredProcedure("pk_news.sp_getTodayNews");
                
            vt = query.select(para);

            NewsScrollerAdapter adapter = new NewsScrollerAdapter(vt);

            req.setAttribute(GA1112Servlet.NEWS_NAME,adapter);
        }catch(Exception e){
            throw new CommandException(e);
        }
        return next;
    }
}
