package com.hanbit.ga.ga1114;

import com.hanbit.comm.ejb.session.*;
import com.hanbit.comm.servlet.*;
import com.hanbit.ga.ejb.entity.stock.*;

import javax.naming.*;
import javax.servlet.http.*;

import java.util.*;

public class GA1114Query implements Command{
    private String next;

    public GA1114Query(String next){
        this.next = next;
    }
    
    public String execute(HttpServletRequest req)
    throws CommandException{
        HttpSession session = req.getSession();
        String msgKey       = req.getRequestedSessionId();
        String cmpyCode = req.getParameter("cmpyCode");
        Vector vt = null;
        try{
            Context ctx = new InitialContext();
            QuerySBHome home =(QuerySBHome)ctx.lookup("QuerySB");
            QuerySB query = home.create();
               
            Parameter para = new Parameter();
            para.setVOClass(new StockVO());
            para.setStoredProcedure("pk_stock.sp_GetTodayStockByCmpy");
            para.addArgument(cmpyCode);
                
            vt = query.select(para);

			System.out.println(vt);

            KavaChartAdapter chart = new KavaChartAdapter();
            chart.setData(vt);

            req.setAttribute(GA1114Servlet.STOCK_NAME,chart);
        }catch(Exception e){
            throw new CommandException(e);
        }
        return next;
    }
}
