CREATE OR REPLACE PACKAGE BODY pk_Code
AS
-- Dept Code
  PROCEDURE sp_getDeptCode(ResultSet  IN OUT CodeRef)
  IS
  BEGIN
    OPEN ResultSet FOR
    SELECT a.deptno                              name,
           a.dname                               value
      FROM dept a;
   EXCEPTION 
        WHEN NO_DATA_FOUND THEN
             NULL;
  END sp_getDeptCode;
-- Ctry Code
  PROCEDURE sp_getCtryCode(ResultSet  IN OUT CodeRef)
  IS
  BEGIN
    OPEN ResultSet FOR
    SELECT a.ctrycode                           name,
           a.ctryname                           value
      FROM ctry a
     ORDER By 1;
   EXCEPTION 
        WHEN NO_DATA_FOUND THEN
             NULL;
  END sp_getCtryCode;
END pk_Code;
/
show error 
clear
