CREATE TABLE users
(
 userid        NUMBER(04) NOT NULL,
 username      VARCHAR2(20),
 password      VARCHAR2(20),
 lastexpired   DATE,
 roleid        VARCHAR2(10) constraint role_fk references role(roleid),
 sysid         VARCHAR2(02) constraint sys_fk references system(sysid),
 upddate       DATE       NOT NULL,
 constraint user_pk primary key (userid)
)
STORAGE (INITIAL     1M
         NEXT        10K
         PCTINCREASE 0)
PCTFREE 10
PCTUSED 80
/
